Purchase additional envelopes (Reserved)
Reserved: At this time, this endpoint is limited to DocuSign internal use only. Completes the purchase of envelopes for your account. The actual purchase is done as part of an internal workflow interaction with an envelope vendor.
Authentication
AuthorizationBearer
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
accountId
The external account number (int) or account ID Guid.
Request
This endpoint expects an object: purchasedEnvelopesInformation
amount
The total amount of the purchase.
appName
The AppName of the client application.
currencyCode
Specifies the ISO 4217 currency code of the purchase.
platform
The Platform of the client application
productId
The Product ID from the AppStore.
quantity
The quantity of envelopes to add to the account.
receiptData
The encrypted Base64 encoded receipt data.
storeName
The name of the AppStore.
transactionId
Specifies the Transaction ID from the AppStore.
Response
Successful response.
Errors
400
Bad Request Error